Subject: Re: Is perl-5.8.2 canonized for use on cygwin yet?
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Thu, 1 Jan 2004 17:32:45 -0800

On Mon, Dec 29, 2003 at 09:38:05PM +0100, "Gerrit P. Haase" <[email-masked]> wrote:
> > What sets LIB in the cygwin environment?  It comes verbatim from the
> > DOS environment list but I don't see the importation in any of the
> > layered rc files (but I could've missed it).  And is there a way to
> > automatically make cygwin translate these paths from backslash to
> > forward slash when importing? You'd think that would be the default.
> >  Is there a way to suppress all importation or all but a list of
> > explicitly named variables?  Obviously I can exclude some by
> > redefining them in the bashrc files, but what I'd rather do is
> > exclude all except those I want included, in case some software
> > installs new ones.
> 
> LIB isn't used by Cywin, but it is used by Perl.  Just unset it before
> the build, it is not needed.

How is it used by Perl?  Or do you just mean the use of MakeMaker passing
it to subdirs?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/